summaryrefslogtreecommitdiff
path: root/dev-ruby/ruby-feedparser/ruby-feedparser-0.9.7.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-02-07 12:46:13 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-02-07 12:46:13 +0000
commit9d38ae94eb0e31c942a0a56844d95e5d7a734baa (patch)
tree3db6f55faa1c83b5ca270a1b6a795bcc9624f35c /dev-ruby/ruby-feedparser/ruby-feedparser-0.9.7.ebuild
parent1e3f3edbbe18461a6d9c6da54f8bc60f90f4d775 (diff)
downloadbaldeagleos-repo-9d38ae94eb0e31c942a0a56844d95e5d7a734baa.tar.gz
baldeagleos-repo-9d38ae94eb0e31c942a0a56844d95e5d7a734baa.tar.xz
baldeagleos-repo-9d38ae94eb0e31c942a0a56844d95e5d7a734baa.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/ruby-feedparser/ruby-feedparser-0.9.7.ebuild')
-rw-r--r--dev-ruby/ruby-feedparser/ruby-feedparser-0.9.7.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/dev-ruby/ruby-feedparser/ruby-feedparser-0.9.7.ebuild b/dev-ruby/ruby-feedparser/ruby-feedparser-0.9.7.ebuild
new file mode 100644
index 000000000000..bcaa2442bb43
--- /dev/null
+++ b/dev-ruby/ruby-feedparser/ruby-feedparser-0.9.7.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="ChangeLog.md README"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+GITHUB_USER="feed2imap"
+
+DESCRIPTION="Ruby library to parse ATOM/RSS feeds"
+HOMEPAGE="https://github.com/feed2imap/ruby-feedparser"
+SRC_URI="https://github.com/${GITHUB_USER}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64"
+SLOT="0"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/magic"
+
+ruby_add_bdepend "dev-ruby/magic
+ test? ( dev-ruby/mocha )"
+
+all_ruby_prepare() {
+ # Extract gemspec source from Rakefile
+ sed -n -e '/Gem::Specification/,/end$/p' Rakefile > ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -i -e 's/PKG_NAME/"'${PN}'"/' \
+ -e 's/PKG_VERSION/"'${PV}'"/' \
+ -e '/s.files/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_prepare() {
+ sed -i -e '/PKG_VERSION/ s:ruby:'${RUBY}':' Rakefile || die
+}